﻿using System;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace DataTriggerAnimation.ViewModel
{
  public class DisplayViewModel : ViewModelBase
  {
    private DisplayState displayState;
    public DisplayState DisplayState
    {
      get { return displayState; }
      set
      {
        if (displayState != value)
        {
          displayState = value;
          RaisePropertyChanged(() => DisplayState);
        }
      }
    }

    public ICommand DisplayPopupCommand
    {
      get
      {
        return new RelayCommand<string>(
            (p) =>
            {
              DisplayState = (DisplayState)Enum.Parse(typeof(DisplayState), p);
            });
      }
    }

    public ICommand CloseCommand
    {
      get
      {
        return new RelayCommand(()
           => DisplayState = DisplayState.Normal);
      }
    }
  }
}
